Bug 510720 - WARNING: at net/mac80211/rx.c:2231 __ieee80211_rx+0x45/0x51c (ath9k)
WARNING: at net/mac80211/rx.c:2231 __ieee80211_rx+0x45/0x51c (ath9k)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 08:48 EDT by Stefan Assmann
Modified: 2010-06-28 09:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:33:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Assmann 2009-07-10 08:48:25 EDT
Description of problem:
got this kernel warning during normal everyday operation

WARNING: at net/mac80211/rx.c:2231 __ieee80211_rx+0x45/0x51c [mac80211]() (Not tainted)
Hardware name: 1000HE
Modules linked in: tun fuse ipt_MASQUERADE iptable_nat nf_nat sco bridge stp llc bnep l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath sha256_generic aes_i586 aes_generic cbc dm_crypt uinput snd_hda_codec_realtek snd_hda_intel arc4 snd_hda_codec ecb snd_hwdep snd_pcm ath9k mac80211 iTCO_wdt snd_timer iTCO_vendor_support uvcvideo eeepc_laptop snd atl1e hwmon videodev cfg80211 soundcore v4l1_compat pcspkr snd_page_alloc joydev ata_generic pata_acpi i915 drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Pid: 0, comm: swapper Not tainted 2.6.29.5-191.fc11.i686.PAE #1
Call Trace:
 [<c0435266>] warn_slowpath+0x7c/0xa4
 [<c04284ff>] ? __wake_up_sync+0x40/0x49
 [<c0689f16>] ? sock_queue_rcv_skb+0xc0/0xc8
 [<c0484168>] ? __get_free_pages+0x23/0x29
 [<c04a35fa>] ? __kmalloc_track_caller+0x30/0x11a
 [<c068ce3e>] ? dev_alloc_skb+0x19/0x2e
 [<f8544f81>] __ieee80211_rx+0x45/0x51c [mac80211]
 [<f8891630>] ath_rx_tasklet+0x3b2/0x4b6 [ath9k]
 [<c06d14ae>] ? udp_rcv+0x17/0x19
 [<c06b4b52>] ? ip_local_deliver_finish+0x112/0x18d
 [<c044c9dc>] ? clocksource_read+0xc/0xf
 [<f8890dd6>] ath9k_tasklet+0x3f/0x65 [ath9k]
 [<c0716636>] ? _spin_lock_bh+0x1b/0x1e
 [<f8890dd6>] ? ath9k_tasklet+0x3f/0x65 [ath9k]
 [<c0439a9c>] tasklet_action+0x8b/0xf7
 [<c0439f39>] __do_softirq+0x99/0x139
 [<c043a02b>] do_softirq+0x52/0x7e
 [<c043a196>] irq_exit+0x49/0x77
 [<c040b00e>] do_IRQ+0x97/0xad
 [<c0409b2c>] common_interrupt+0x2c/0x34
 [<c05b6d48>] ? acpi_idle_enter_bm+0x25f/0x2a9
 [<c06748e0>] cpuidle_idle_call+0x65/0x9d
 [<c04085f0>] cpu_idle+0x72/0x92
 [<c0711f5c>] start_secondary+0x198/0x19d


Version-Release number of selected component (if applicable):
Linux eeepc 2.6.29.5-191.fc11.i686.PAE #1 SMP Tue Jun 16 23:19:53 EDT 2009 i686 i686 i386 GNU/Linux


How reproducible:
happened once

lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Mobile 945GME Express Memory Controller Hub [8086:27ac] (rev 03)
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GME Express Integrated Graphics Controller [8086:27ae] (rev 03)
00:02.1 Display controller [0380]: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller [8086:27a6] (rev 03)
00:1b.0 Audio device [0403]: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller [8086:27d8] (rev 02)
00:1c.0 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 [8086:27d0] (rev 02)
00:1c.1 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 [8086:27d2] (rev 02)
00:1c.3 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 [8086:27d6] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 [8086:27c8] (rev 02)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 [8086:27c9] (rev 02)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 [8086:27ca] (rev 02)
00:1d.3 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 [8086:27cb] (rev 02)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller [8086:27cc] (rev 02)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev e2)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge [8086:27b9] (rev 02)
00:1f.2 IDE interface [0101]: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller [8086:27c4] (rev 02)
01:00.0 Network controller [0280]: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) [168c:002a] (rev 01)
03:00.0 Ethernet controller [0200]: Attansic Technology Corp. Atheros AR8121/AR8113/AR8114 PCI-E Ethernet Controller [1969:1026] (rev b0)
Comment 1 John W. Linville 2009-07-10 09:54:54 EDT
        if (status->flag & RX_FLAG_HT) {
                /* rate_idx is MCS index */
                if (WARN_ON(status->rate_idx < 0 ||
                            status->rate_idx >= 76))
                        return;
                /* HT rates are not in the table - use the highest legacy rate
                 * for now since other parts of mac80211 may not yet be fully
                 * MCS aware. */
                rate = &sband->bitrates[sband->n_bitrates - 1];
Comment 2 Bug Zapper 2010-04-27 11:35:47 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:33:40 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.